API reference
Rate limits
Request limits per endpoint.
| Endpoint | Limit |
|---|---|
| All endpoints | 300 requests / minute per IP |
POST /public/links/:slug/intents | 20 / 10 minutes per IP |
GET /public/intents/:id | 120 / minute per IP |
POST /public/intents/:id/claim | 6 / 10 minutes per IP |
POST /admin/auth/login | 10 / 15 minutes per IP (plus 10/minute at nginx) |
POST /device/pair | 10 / 15 minutes per IP |
/device/* | 60 / minute per IP at nginx |
Exceeding a limit returns 429. Server-to-server /v1 calls from one backend IP share the 300/minute budget — enough for thousands of payments an hour.
